Bug 437789 - bind install script changes the group owner of /etc/openldap/slapd.conf
bind install script changes the group owner of /etc/openldap/slapd.conf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.1
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Tkac
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 10:06 EDT by Milos Malik
Modified: 2013-04-30 19:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:16:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2008-03-17 10:06:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; cs-CZ; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
The installation script of the bind package changes the group owner of the file /etc/openldap/slapd.conf so that the OpenLDAP server does not start when invoked by "/etc/init.d/ldap start".

This problem was found on 8 stable machines where bind-sdb-9.3.3-10 package was installed.

Version-Release number of selected component (if applicable):
bind-9.3.3-10

How reproducible:
Didn't try


Steps to Reproduce:
1. /etc/init.d/ldap start
2. you will see following message:

Checking configuration files for slapd:  could not open config file "/etc/openldap/slapd.conf": Permission denied (13)



Actual Results:
The group owner of the file /etc/openldap/slapd.conf is root.

-rw-r----- 1 root root 3381 Mar  2 01:00 /etc/openldap/slapd.conf

Expected Results:
The group owner of the file /etc/openldap/slapd.conf is ldap.

-rw-r----- 1 root ldap 3381 Mar  2 01:00 /etc/openldap/slapd.conf

Additional info:
Comment 2 RHEL Product and Program Management 2008-07-21 19:04:51 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 RHEL Product and Program Management 2008-08-14 09:01:42 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 9 errata-xmlrpc 2009-01-20 17:16:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0246.html

Note You need to log in before you can comment on or make changes to this bug.